Bug 246355 - www/squid-devel: add patch to fix kerberos_ldap_group helper
Summary: www/squid-devel: add patch to fix kerberos_ldap_group helper
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-05-10 09:57 UTC by timp87
Modified: 2020-05-18 09:09 UTC (History)
1 user (show)

See Also:


Attachments
port patch (3.60 KB, patch)
2020-05-10 09:57 UTC, timp87
timp87: maintainer-approval+
Details | Diff
port patch with fixed plist (6.32 KB, patch)
2020-05-12 08:44 UTC, timp87
timp87: maintainer-approval+
Details | Diff
port patch fixed plist bumped (4.54 KB, patch)
2020-05-12 08:47 UTC, timp87
timp87: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description timp87 2020-05-10 09:57:11 UTC
Created attachment 214343 [details]
port patch

- add patch to fix kerberos_ldap_group helper work with heimdal
- regenerate two patches to follow upstreamed versions
Comment 1 Steve Wills freebsd_committer 2020-05-10 18:01:48 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/144521797
Comment 2 timp87 2020-05-12 08:44:46 UTC
Created attachment 214408 [details]
port patch with fixed plist

- add patch to fix kerberos_ldap_group helper work with heimdal
- regenerate two patches to follow upstreamed versions
- fix pinger in plist and bump portrevision
Comment 3 timp87 2020-05-12 08:47:35 UTC
Created attachment 214409 [details]
port patch fixed plist bumped

- add patch to fix kerberos_ldap_group helper work with heimdal
- regenerate two patches to follow upstreamed versions
- fix pinger in plist and bump portrevision
Comment 4 Kurt Jaeger freebsd_committer 2020-05-18 07:57:09 UTC
testbuilds@work
Comment 5 commit-hook freebsd_committer 2020-05-18 08:21:21 UTC
A commit references this bug:

Author: pi
Date: Mon May 18 08:20:52 UTC 2020
New revision: 535729
URL: https://svnweb.freebsd.org/changeset/ports/535729

Log:
  www/squid-devel: add patch to fix kerberos_ldap_group helper, fix pinger

  - add patch to fix kerberos_ldap_group helper work with heimdal
  - regenerate two patches to follow upstreamed versions
  - fix pinger in plist and bump portrevision

  PR:		246355
  Submitted by:	Pavel Timofeev <timp87@gmail.com> (maintainer)

Changes:
  head/www/squid-devel/Makefile
  head/www/squid-devel/files/patch-src_acl_external_eDirectory__userip_ext__edirectory__userip__acl.cc
  head/www/squid-devel/files/patch-src_acl_external_kerberos__ldap__group_support__krb5.cc
  head/www/squid-devel/files/patch-src_acl_external_session_ext__session__acl.cc
  head/www/squid-devel/pkg-plist
Comment 6 Kurt Jaeger freebsd_committer 2020-05-18 09:09:29 UTC
Committed, thanks!